org.bouncycastle.asn1.x509

## Class X509NameTokenizer

- java.lang.Object
- - org.bouncycastle.asn1.x509.X509NameTokenizer

    public class X509NameTokenizer
    extends java.lang.Object

class for breaking up an X500 Name into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

### Constructor Summary

Constructors
Constructor and Description
`X509NameTokenizer(java.lang.String oid)`
`X509NameTokenizer(java.lang.String oid, char seperator)`

### Method Summary

Methods
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509NameTokenizer

    public X509NameTokenizer(java.lang.String oid)

#### X509NameTokenizer

    public X509NameTokenizer(java.lang.String oid,
                     char seperator)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public java.lang.String nextToken()